%global debug_package %{nil}
%global make_install /usr/bin/make install DESTDIR=%{buildroot} INSTALL="./tools/install.sh"

Name:		execline
Version:	2.9.3.0
Release:	1%{?dist}
Summary:	The first script language to rely entirely on chain loading

License:	ISC
URL:		https://skarnet.org/software/execline
Source0:	https://skarnet.org/software/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  tkbcopr-musl-gcc
BuildRequires:	skalibs

%description
execline is a (non-interactive) scripting language, like sh - but its syntax is quite different from a traditional shell syntax. The execlineb program is meant to be used as an interpreter for a text file; the other commands are essentially useful inside an execlineb script.


%prep
%autosetup


%build
export CC="musl-gcc -static-pie"
%configure --enable-slashpackage --enable-static-libc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make strip
%make_install
install -d 0755 %{buildroot}%{_bindir}
ln -sf /package/admin/execline-%{version}/command/execlineb %{buildroot}%{_bindir}
ln -sf /package/admin/execline-%{version} %{buildroot}/package/admin/execline


%postun
rm -r /package/admin/execline-%{version}


%files
%{_bindir}/execlineb
/package/admin/execline
/package/admin/execline-%{version}/command/background
/package/admin/execline-%{version}/command/backtick
/package/admin/execline-%{version}/command/case
/package/admin/execline-%{version}/command/cd
/package/admin/execline-%{version}/command/define
/package/admin/execline-%{version}/command/dollarat
/package/admin/execline-%{version}/command/elgetopt
/package/admin/execline-%{version}/command/elgetpositionals
/package/admin/execline-%{version}/command/elglob
/package/admin/execline-%{version}/command/eltest
/package/admin/execline-%{version}/command/emptyenv
/package/admin/execline-%{version}/command/envfile
/package/admin/execline-%{version}/command/exec
/package/admin/execline-%{version}/command/execline-cd
/package/admin/execline-%{version}/command/execline-umask
/package/admin/execline-%{version}/command/execlineb
/package/admin/execline-%{version}/command/exit
/package/admin/execline-%{version}/command/export
/package/admin/execline-%{version}/command/fdblock
/package/admin/execline-%{version}/command/fdclose
/package/admin/execline-%{version}/command/fdmove
/package/admin/execline-%{version}/command/fdreserve
/package/admin/execline-%{version}/command/fdswap
/package/admin/execline-%{version}/command/forbacktickx
/package/admin/execline-%{version}/command/foreground
/package/admin/execline-%{version}/command/forstdin
/package/admin/execline-%{version}/command/forx
/package/admin/execline-%{version}/command/getcwd
/package/admin/execline-%{version}/command/getpid
/package/admin/execline-%{version}/command/heredoc
/package/admin/execline-%{version}/command/homeof
/package/admin/execline-%{version}/command/if
/package/admin/execline-%{version}/command/ifelse
/package/admin/execline-%{version}/command/ifte
/package/admin/execline-%{version}/command/ifthenelse
/package/admin/execline-%{version}/command/importas
/package/admin/execline-%{version}/command/loopwhilex
/package/admin/execline-%{version}/command/multidefine
/package/admin/execline-%{version}/command/multisubstitute
/package/admin/execline-%{version}/command/pipeline
/package/admin/execline-%{version}/command/piperw
/package/admin/execline-%{version}/command/posix-cd
/package/admin/execline-%{version}/command/posix-umask
/package/admin/execline-%{version}/command/redirfd
/package/admin/execline-%{version}/command/runblock
/package/admin/execline-%{version}/command/shift
/package/admin/execline-%{version}/command/trap
/package/admin/execline-%{version}/command/tryexec
/package/admin/execline-%{version}/command/umask
/package/admin/execline-%{version}/command/unexport
/package/admin/execline-%{version}/command/wait
/package/admin/execline-%{version}/command/withstdinas
/package/admin/execline-%{version}/include/execline/config.h
/package/admin/execline-%{version}/include/execline/execline.h
/package/admin/execline-%{version}/library/libexecline.a


%changelog
* Fri Jun 30 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 2.9.3.0-1
- First execline package
